<?
namespace shop;
class ShopStatus {
  // get_status_by_baselinker_status
  static public function get_shop_status_by_baselinker_status( int $baselinker_status_id ) {
    global $mdb;
    return $mdb -> get( 'pp_shop_statuses', 'id', [ 'baselinker_status_id' => $baselinker_status_id ] );
  }

  // get_baselinker_status_by_shop_status
  static public function get_baselinker_status_by_shop_status( int $shop_status_id ) {
    global $mdb;
    return $mdb -> get( 'pp_shop_statuses', 'baselinker_status_id', [ 'id' => $shop_status_id ] );
  }
}